<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'newstation_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','newstation' ),
	'description'       => esc_html__( 'Archive section options.', 'newstation' ),
	'panel'             => 'newstation_theme_options_panel',
	) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'newstation_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
	) );

$wp_customize->add_control( 'newstation_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'newstation' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'newstation' ),
	'section'           => 'newstation_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'newstation_is_latest_posts'
	) );

// Archive category setting and control.
$wp_customize->add_setting( 'newstation_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'newstation_sanitize_switch_control',
	) );

$wp_customize->add_control( new Newstation_Switch_Control( $wp_customize, 'newstation_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'newstation' ),
	'section'           => 'newstation_archive_section',
	'on_off_label' 		=> newstation_hide_options(),
	) ) );

// Archive date setting and control.
$wp_customize->add_setting( 'newstation_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'newstation_sanitize_switch_control',
	) );

$wp_customize->add_control( new Newstation_Switch_Control( $wp_customize, 'newstation_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'newstation' ),
	'section'           => 'newstation_archive_section',
	'on_off_label' 		=> newstation_hide_options(),
	) ) );