<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

$wp_customize->add_section( 'newstation_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','newstation' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'newstation' ),
	'panel'             => 'newstation_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'newstation_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'newstation_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Newstation_Switch_Control( $wp_customize, 'newstation_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'newstation' ),
	'section'          	=> 'newstation_breadcrumb',
	'on_off_label' 		=> newstation_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'newstation_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'newstation_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'newstation' ),
	'active_callback' 	=> 'newstation_is_breadcrumb_enable',
	'section'          	=> 'newstation_breadcrumb',
) );
