<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'newstation_layout', array(
	'title'               => esc_html__('Layout','newstation'),
	'description'         => esc_html__( 'Layout section options.', 'newstation' ),
	'panel'               => 'newstation_theme_options_panel',
	) );

// Site layout setting and control.
$wp_customize->add_setting( 'newstation_theme_options[site_layout]', array(
	'sanitize_callback'   => 'newstation_sanitize_select',
	'default'             => $options['site_layout'],
	) );

$wp_customize->add_control(  new Newstation_Custom_Radio_Image_Control ( $wp_customize, 'newstation_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'newstation' ),
	'section'             => 'newstation_layout',
	'choices'			  => newstation_site_layout(),
	) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'newstation_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'newstation_sanitize_select',
	'default'             => $options['sidebar_position'],
	) );

$wp_customize->add_control(  new Newstation_Custom_Radio_Image_Control ( $wp_customize, 'newstation_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'newstation' ),
	'section'             => 'newstation_layout',
	'choices'			  => newstation_global_sidebar_position(),
	) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'newstation_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'newstation_sanitize_select',
	'default'             => $options['post_sidebar_position'],
	) );

$wp_customize->add_control(  new Newstation_Custom_Radio_Image_Control ( $wp_customize, 'newstation_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'newstation' ),
	'section'             => 'newstation_layout',
	'choices'			  => newstation_sidebar_position(),
	) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'newstation_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'newstation_sanitize_select',
	'default'             => $options['page_sidebar_position'],
	) );

$wp_customize->add_control( new Newstation_Custom_Radio_Image_Control( $wp_customize, 'newstation_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'newstation' ),
	'section'             => 'newstation_layout',
	'choices'			  => newstation_sidebar_position(),
	) ) );