<?php
/**
 * pagination options
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'newstation_pagination', array(
	'title'               => esc_html__('Pagination','newstation'),
	'description'         => esc_html__( 'Pagination section options.', 'newstation' ),
	'panel'               => 'newstation_theme_options_panel',
	) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'newstation_theme_options[pagination_enable]', array(
	'sanitize_callback' => 'newstation_sanitize_switch_control',
	'default'             => $options['pagination_enable'],
	) );

$wp_customize->add_control( new Newstation_Switch_Control( $wp_customize, 'newstation_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'newstation' ),
	'section'             => 'newstation_pagination',
	'on_off_label' 		=> newstation_switch_options(),
	) ) );

// Site layout setting and control.
$wp_customize->add_setting( 'newstation_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'newstation_sanitize_select',
	'default'             => $options['pagination_type'],
	) );

$wp_customize->add_control( 'newstation_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'newstation' ),
	'section'             => 'newstation_pagination',
	'type'                => 'select',
	'choices'			  => newstation_pagination_options(),
	'active_callback'	  => 'newstation_is_pagination_enable',
	) );
