<?php
/**
 * Reset options
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

/**
* Reset section
*/
// Add reset enable section
$wp_customize->add_section( 'newstation_reset_section', array(
	'title'             => esc_html__('Reset all settings','newstation'),
	'description'       => esc_html__( 'Caution: All settings will be reset to default. Refresh the page after clicking Save & Publish.', 'newstation' ),
	) );

// Add reset enable setting and control.
$wp_customize->add_setting( 'newstation_theme_options[reset_options]', array(
	'default'           => $options['reset_options'],
	'sanitize_callback' => 'newstation_sanitize_checkbox',
	'transport'			  => 'postMessage',
	) );

$wp_customize->add_control( 'newstation_theme_options[reset_options]', array(
	'label'             => esc_html__( 'Check to reset all settings', 'newstation' ),
	'section'           => 'newstation_reset_section',
	'type'              => 'checkbox',
	) );
