<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'newstation_single_post_section', array(
	'title'             => esc_html__( 'Single Post','newstation' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'newstation' ),
	'panel'             => 'newstation_theme_options_panel',
	) );

// Archive date meta setting and control.
$wp_customize->add_setting( 'newstation_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'newstation_sanitize_switch_control',
	) );

$wp_customize->add_control( new Newstation_Switch_Control( $wp_customize, 'newstation_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'newstation' ),
	'section'           => 'newstation_single_post_section',
	'on_off_label' 		=> newstation_hide_options(),
	) ) );

// Archive author category setting and control.
$wp_customize->add_setting( 'newstation_theme_options[single_post_hide_category]', array(
	'default'           => $options['single_post_hide_category'],
	'sanitize_callback' => 'newstation_sanitize_switch_control',
	) );

$wp_customize->add_control( new Newstation_Switch_Control( $wp_customize, 'newstation_theme_options[single_post_hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'newstation' ),
	'section'           => 'newstation_single_post_section',
	'on_off_label' 		=> newstation_hide_options(),
	) ) );